<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE configuration
        PUBLIC "-//mybatis.org//DTD Config 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-config.dtd">
<!--  XML 配置文件包含對 MyBatis 系統的核心設置 -->
<configuration>
    <properties resource="db.properties"/>
    <!-- 指定 MyBatis 所用日誌的具體實現 -->
    <settings>
        <setting name="logImpl" value="LOG4J"/>
        <!-- 要使延遲加載生效必須配置下面兩個屬性 -->
        <setting name="lazyLoadingEnabled" value="true"/>
        <setting name="aggressiveLazyLoading" value="false"/>
        <!-- 開啟二級緩存 -->
        <setting name="cacheEnabled" value="true"/>
    </settings>
    <environments default="mysql">
        <!-- 環境配置，即連接的數據庫。 -->
        <environment id="mssql">
            <!--  指定事務管理類型，type="JDBC"指直接簡單使用了JDBC的提交和回滾設置 -->
            <transactionManager type="JDBC"/>
            <!--  dataSource指數據源配置，POOLED是JDBC連接對象的數據源連接池的實現。 -->
            <dataSource type="POOLED">
                <property name="driver" value="${mssql_driver}"/>
                <property name="url" value="${mssql_url}"/>
                <property name="username" value="${mssql_username}"/>
                <property name="password" value="${mssql_password}"/>
            </dataSource>
        </environment>
        <environment id="mysql">
            <transactionManager type="JDBC"/>
            <dataSource type="POOLED">
                <property name="driver" value="${mysql_driver}"/>
                <property name="url" value="${mysql_url}"/>
                <property name="username" value="${mysql_username}"/>
                <property name="password" value="${mysql_password}"/>
            </dataSource>
        </environment>
        <environment id="sqlite">
            <transactionManager type="JDBC"/>
            <dataSource type="POOLED">
                <property name="driver" value="${sqlite_driver}"/>
                <property name="url" value="${sqlite_url}"/>
            </dataSource>
        </environment>
    </environments>
    <!-- mappers告訴了MyBatis去哪裡找持久化類的映射文件 -->
    <mappers>
<!--        <mapper resource="enoxs/com/data/mapping/InitSQLiteDbMapper.xml"/>-->
<!--        <mapper resource="enoxs/com/data/mapping/InitMsSqlDbMapper.xml"/>-->
<!--        <mapper resource="enoxs/com/data/mapping/InitDataMapper.xml"/>-->
<!--        <mapper resource="enoxs/com/data/mapping/VerifyDataMapper.xml"/>-->
        <mapper resource="enoxs/com/data/gen/mapping/AppInfoMapper.xml"/>
        <mapper class="enoxs.com.sql.dao.AppInfoDao"/>

    </mappers>
</configuration>